Story7/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
]

home/urls.py
from django.urls import include, path
from . import views
from django.contrib import admin

app_name = 'home'

urlpatterns = [
    path('', views.index, name='index'),
    path('confirmation/', views.confirmation, name='confirmation')
]

home/models.py
from django.db import models

#Create your models here.
class Status(models.Model): 
    name = models.CharField(max_length=255)
    status = models.CharField(max_length=255)

    def __str__(self):
        return self.name

home/forms.py
from django import forms
from .models import Status

class StatusForm(forms.ModelForm):
    class Meta:
        model = Status
        fields = ['name', 'status']

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        for field in self.Meta.fields:
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })

home/views.py
from django.shortcuts import render
from django.shortcuts import redirect
from .models import Status
from .forms import StatusForm

# Create your views here.
def index(request):
    status = Status.objects.all()
    if (request.method == 'POST'):
        form = StatusForm(request.POST)
        if (form.is_valid()):
            new = Status()
            new.name = form.cleaned_data['name']
            new.status = form.cleaned_data['status']    
            response = {'name':new.name, 'status':new.status}
            return render(request, 'confirmation.html', response)
    else:
        form = StatusForm()
            
    response = {'status':status, 'form':form}
    return render(request, 'index.html', response)

def confirmation(request):
    if (request.method == 'POST'):
        form = StatusForm(request.POST)
        if (form.is_valid()):
            new = Status()
            new.name = form.cleaned_data['name']
            new.status = form.cleaned_data['status']
            new.save()
            return redirect('/')
    else:
        form = StatusForm()

    response = {'form':form}
    return render(request, 'confirmation.html', response)

home/templates/confirmation.html
<!doctype html>
{% load static %}

<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <title>Confirmation</title>

  </head>

  <body style="background-color: dodgerblue;">
      <br>
      <h class="font-weight-bold" style="font-size: 5vh; margin-left: 8.7%;">Are You Sure?</h>
      <form action="{% url 'home:confirmation' %}" method="post">
        {% csrf_token %}
        
        
            
                
        <label for="name" >Name: {{ name }}</label>
        <input class="form-control" id="name" type="hidden" name="name" value="{{ name }}" readonly>
                
        <label for="status">Status: {{ status }}</label>
        <input class="form-control" id="status" type="hidden" name="status" value="{{ status }}" readonly>
                
            
        <div class="row"></div>
            <input name="save"  type="submit" class="btn btn-secondary"  value="Submit">
            <a class="btn btn-secondary" href="{% url 'home:index' %}" role="button" name="back" style="margin-left: 1%;">Back</a>
        </div>
      </form>

  </body>
</html>

home/templates/index.html
<!doctype html>
{% load static %}

<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <title>Home</title>

  </head>

  <body style="background-color: dodgerblue;">

    <h1 style="color: darkslategray;">Hello, How are You?</h1>
    <div>
      <form method="post" action="{% url 'home:index' %}">
        {% csrf_token %}
        
          <label for="isi">Name </label>
          {{ form.name }}

          <label for="status">Status </label>
          {{ form.status }}
          
            <input name="submit"  type="submit" class="btn btn-secondary" value="Submit">
       
      </form>
    </div>
      
      <br>
      <table style="width: 100%; border: 1px solid black;">
        <thead style="width: 100%;border: 1px solid black; background-color: grey;">
          <th style="text-align: center;">Name</th>
          <th style="text-align: center;">Status</th>
        </thead>
        {% for stat in status %}
        <tr style="background-color: honeydew;">
          <th style="text-align: center;">{{ stat.name }}</th>
          <th style="text-align: center;">{{ stat.status }}</th>
          {% endfor %}
        </tr>
      </table>

  </body>
</html>